Loading...
Searching...
No Matches
pcl::visualization::PCLHistogramVisualizerInteractorStyle Class Reference

PCL histogram visualizer interactory style class. More...

`#include <pcl/visualization/interactor_style.h>`

Inheritance diagram for pcl::visualization::PCLHistogramVisualizerInteractorStyle:

## Public Member Functions

| PCLHistogramVisualizerInteractorStyle ()=default
| Empty constructor.
void | Initialize ()
| Initialization routine.
void | setRenWinInteractMap (const RenWinInteractMap &wins)
| Pass a map of render/window/interactors to the interactor style.

## Static Public Member Functions

static PCLHistogramVisualizerInteractorStyle * | New ()

## Detailed Description

PCL histogram visualizer interactory style class.

Author
  Radu B. Rusu

Definition at line 401 of file interactor_style.h.

## Constructor & Destructor Documentation

## PCLHistogramVisualizerInteractorStyle()

pcl::visualization::PCLHistogramVisualizerInteractorStyle::PCLHistogramVisualizerInteractorStyle | ( |  | ) |

default

Empty constructor.

Referenced by New().

## Member Function Documentation

## Initialize()

void pcl::visualization::PCLHistogramVisualizerInteractorStyle::Initialize | ( |  | ) |

Initialization routine.

Must be called before anything else.

## New()

PCLHistogramVisualizerInteractorStyle * pcl::visualization::PCLHistogramVisualizerInteractorStyle::New | ( |  | ) |

static

References PCLHistogramVisualizerInteractorStyle().

## setRenWinInteractMap()

void pcl::visualization::PCLHistogramVisualizerInteractorStyle::setRenWinInteractMap | ( | const RenWinInteractMap & | wins | ) |

inline

Pass a map of render/window/interactors to the interactor style.

Parameters

  [in] | wins | the RenWinInteract map to use

Definition at line 417 of file interactor_style.h.

The documentation for this class was generated from the following file:

- pcl/visualization/interactor_style.h